{% extends "base.html" %}
{% load thumbnail collections %}

{% block extrahead %}
<script type="text/javascript">
$(function() {
    var $menu_link = $('#main-menu a[href={% url 'portfolio-collection-index' %}]').addClass('active');
    {% if year %}
    var $year_link = $('.dates-menu a[rel={{year}}]').addClass('active');
    {% endif %}
});
</script>
{% endblock %}

{% block content %}
<ul class="collection-index">
{% for category in collection_categories  %}
<li>
    <h1 class="title">{{category}}</h1>
    <ul>
{% for collection in category.collection_set.all %}
        <li class="collection">
        <table>
            <tr>
            <td class="info">
                <h3 class="title"><a href="{% url 'portfolio-collection-view' collection.slug %}">{{collection}}</a></h3>
            </td>
            <td class="images">
                {% for image in collection.images.all|slice:"0:4" %}
                {% thumbnail image.filename "180x160" as thumb %}
                <a href="{% url 'portfolio-collection-view' collection.slug %}#{{forloop.counter0}}"><img src="{{thumb.url}}" alt="thumbnail" /></a>
                {% endthumbnail %}
                {% endfor %}
            </td>
            </tr>
        </table>
    </li>
    {% endfor %}
    </ul>
</li>
{% endfor %}
</ul>
{% endblock %}
